// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Call external functions.
 * @module    assignsubmission_vwttext/repository
 * @package   assignsubmission_vwttext
 * @copyright 2023 Bokomaru Publications
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
import {call as fetchMany} from 'core/ajax';
export const getTaskList = (tasklink) => fetchMany([{
    methodname: 'assignsubmission_vwttext_get_task_list',
    args: {
        tasklink,
    },
}])[0];

export const getDescription = (testlink) => fetchMany([{
    methodname: 'assignsubmission_vwttext_get_test_info',
    args: {
        testlink,
    },
}])[0];

export const getFeedback = (testlink, text) => fetchMany([{
    methodname: 'assignsubmission_vwttext_get_feedback',
    args: {
        testlink,
        text,
    },
}])[0];

export const getGrade = (onlineTextId, assignmentId) => fetchMany([{
    methodname: 'assignsubmission_vwttext_get_grade',
    args: {
        onlineTextId,
        assignmentId,
    },
}])[0];

export const getGptzeroFeedback = (text) => fetchMany([{
    methodname: 'assignsubmission_vwttext_get_gptzero',
    args: {
        text,
    },
}])[0];
