<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Prepopulate essay_list and test_list caches with initial values from the
 * VWT API.
 *
 * @package    assignsubmission_vwttext
 * @copyright  2023 Bokomaru Publications
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

namespace assignsubmission_vwttext;

/**
 * Prepopulate essay_list and test_list caches with initial values from the
 * VWT API.
 */
class warm_essay_cache_task extends \core\task\adhoc_task {
    public function execute() {
        $vwt = new vwt_api();
        $essays = $vwt->fetch_essay_list();
        $vwt->fetch_test_list($essays[0]['task_link']);
    }
}
