<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Web service for assignsubmission_vwttext
 * @package    assignsubmission_vwttext
 * @copyright  2023 Bokomaru Publications
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$functions = array(
        'assignsubmission_vwttext_get_task_list' => array(
                'classname'     => 'assignsubmission_vwttext_external',
                'methodname'    => 'get_task_list',
                'classpath'     => 'mod/assign/submission/vwttext/externallib.php',
                'description'   => 'Fetch task list for an essay test.',
                'type'          => 'read',
                'ajax'          => true,
                'capabilities'  => 'mod/assign:addinstance',
                'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE)
        ),
        'assignsubmission_vwttext_get_test_info' => array(
                'classname'     => 'assignsubmission_vwttext_external',
                'methodname'    => 'get_test_info',
                'classpath'     => 'mod/assign/submission/vwttext/externallib.php',
                'description'   => 'Get test info (question).',
                'type'          => 'read',
                'ajax'          => true,
                'capabilities'  => 'mod/assign:addinstance',
                'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE)
        ),
        'assignsubmission_vwttext_get_feedback' => array(
                'classname'     => 'assignsubmission_vwttext_external',
                'methodname'    => 'get_feedback',
                'classpath'     => 'mod/assign/submission/vwttext/externallib.php',
                'description'   => 'Get test info (question).',
                'type'          => 'read',
                'ajax'          => true,
                'capabilities'  => 'mod/assign:addinstance',
                'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE)
        ),
        'assignsubmission_vwttext_get_gptzero' => array(
                'classname'     => 'assignsubmission_vwttext_external',
                'methodname'    => 'get_gptzero',
                'classpath'     => 'mod/assign/submission/vwttext/externallib.php',
                'description'   => 'Get GPTZero feedback.',
                'type'          => 'read',
                'ajax'          => true,
                'capabilities'  => 'mod/assign:addinstance',
                'services'      => array(MOODLE_OFFICIAL_MOBILE_SERVICE)
        )
);
