<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Upgrade code for install
 *
 * @package   assignsubmission_vwttext
 * @copyright 2023 Bokomaru Publications
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

/**
 * Stub for upgrade code
 * @param int $oldversion
 * @return bool
 */
function xmldb_assignsubmission_vwttext_upgrade($oldversion) {
    $apikey = get_config('assignsubmission_vwttext', 'vwtkey');

    // Upgrading plugin purges our caches so re-populate the initial values
    // so that adding/editing a mod_assign activity isn't slow.
    if (!empty($apikey)) {
        $adhoctask = new \assignsubmission_vwttext\warm_essay_cache_task();
        \core\task\manager::queue_adhoc_task($adhoctask);
    }

    return true;
}
