<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * This file defines the admin settings for this plugin
 *
 * @package   assignsubmission_vwttext
 * @copyright 2023 Bokomaru Publications
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$settings->add(new admin_setting_configcheckbox('assignsubmission_vwttext/default',
                   new lang_string('default', 'assignsubmission_vwttext'),
                   new lang_string('default_help', 'assignsubmission_vwttext'), 0));

$settings->add(new admin_setting_configtext('assignsubmission_vwttext/vwtbaseurl',
            get_string('vwtbaseurl', 'assignsubmission_vwttext'),
            get_string('vwtbaseurldesc', 'assignsubmission_vwttext'),
            'https://console.virtualwritingtutor.com/console'));

$settings->add(new admin_setting_configtext('assignsubmission_vwttext/vwtkey',
            get_string('vwtkey', 'assignsubmission_vwttext'),
            get_string('vwtkeydesc', 'assignsubmission_vwttext'),
            ''));

$settings->add(new admin_setting_configtext('assignsubmission_vwttext/gptzerourl',
            get_string('gptzerourl', 'assignsubmission_vwttext'),
            get_string('gptzerourldesc', 'assignsubmission_vwttext'),
            'https://api.gptzero.me/v2/predict/text'));

$settings->add(new admin_setting_configtext('assignsubmission_vwttext/gptzerokey',
            get_string('gptzerokey', 'assignsubmission_vwttext'),
            get_string('gptzerokeydesc', 'assignsubmission_vwttext'),
            ''));
